.containerNav {
  background-color: #fff;
  position: relative;
  z-index: 40;
  transition-duration: 200ms;
  user-select: none;
}

.containerNavB {
  padding-top: 1rem;
  padding-bottom: 1rem;
  position: relative;
}

.SizeContainer {
  width: 100%;
  margin-right: auto;
  margin-left: auto;
  padding: 0 5px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

@media (min-width: 640px) {
  .SizeContainer {
    max-width: 640px;
  }
}

@media (min-width: 768px) {
  .SizeContainer {
    max-width: 768px;
  }
}

@media (min-width: 1024px) {
  .SizeContainer {
    max-width: 1024px;
  }
}

@media (min-width: 1280px) {
  .SizeContainer {
    max-width: 1280px;
  }
}

@media (min-width: 1536px) {
  .SizeContainer {
    max-width: 1536px;
  }
}

.LeftSide {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.LeftSide Logo {
  height: 1px;
  transform: scale(1);
}

@media (max-width: 320px) {
  .Logo {
    transform: scale(0.7);
  }
}

@media (min-width: 320px) {
  .Logo {
    width: 120px;
  }
}

@media (min-width: 320px) {
  .Logo {
    height: 45px;
  }
}

.ListeSpace {
  display: none;
}

@media (min-width: 640px) {
  .ListeSpace {
    display: block;
  }
}

.Liste {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.ListeItems {
  padding-left: 1rem;
  padding-right: 1rem;
  font-weight: 600;
  --tw-text-opacity: 1;
  color: rgb(107 114 128 / var(--tw-text-opacity));
  transition-duration: 200ms;
}

.ListeItems:hover {
  color: black;
  cursor: pointer;
}

.DropDownList {
  display: flex;
  align-items: center;
  gap: 2px;
  font-weight: 600;
  color: rgb(107 114 128);
  padding: 0.5rem 0;
  position: relative;
}

.DropDownList:hover {
  color: black;
}

.icon {
  transition: transform 300ms;
}

.group:hover .icon {
  transform: rotate(180deg);
}

.DropDown {
  position: absolute;
  display: none;
  z-index: 9999;
  height: 221px;
  width: 100%;
  left: 0;
  border-radius: 0.375rem;
  background-color: white;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 2px 4px rgba(0, 0, 0, 0.06);
  padding: 0.5rem;
  opacity: 0;
  transition: opacity 300ms;
  background: linear-gradient(
    to right,
    rgba(241, 245, 249, 1),
    rgba(203, 213, 224, 0.8)
  );
  color: black;

  @media (prefers-color-scheme: dark) {
    background: linear-gradient(to right, #2d3748, #1a202c);
    color: black;
  }
}

.group:hover .DropDown {
  display: block;
  opacity: 1;
}

.DropDownItems {
  display: grid;
  grid-template-columns: repeat(4, minmax(0, 1fr));
  gap: 1rem;
}

.ProductDrop {
  flex: 1;
  display: flex;
  justify-content: center;
}

.ProdRows {
  cursor: pointer;
  display: grid;
  grid-template-rows: repeat(2, 1fr);
  transform: translateY(-15px);
}

.ProdDown {
  position: relative;
  display: flex;
  text-align: center;
  justify-content: center;
  align-items: center;
  padding-bottom: 8px;
  padding-top: 5px;
  font-size: 1.25rem;
  font-weight: 600;
  cursor: pointer;
  z-index: 40;
}

.ProdImg {
  position: relative;
  width: 30px;
  height: 30px;
  color: rgba(0, 0, 0, 0.05);
  border-radius: 0.375rem;
  transition-duration: 200ms;

  @media (min-width: 640px) {
    width: 300px;
    height: 100px;
  }

  &:hover {
    color: black;
    filter: none;
    transform: scale(1.25);
  }
}

.ProdImg img {
  width: 30px;
  height: 30px;
  z-index: 30;
  filter: drop-shadow(-8px 4px 6px rgba(0, 0, 0, 0.4));

  @media (min-width: 640px) {
    width: 300px;
    height: 100px;
  }
}

.ProdDrop {
  width: 100%;
  border-radius: 8px;
  font-weight: 600;
  color: #6b7280;
  transition-duration: 200ms;
  transition-property: background-color, color;
}

.ProdDrop:hover {
  background-color: rgba(255, 0, 0, 0.2);

  color: black;
}

@media (prefers-color-scheme: dark) {
  .ProdDrop:hover {
    color: white;
  }
}

.ProdDetails {
  width: 100%;
  left: 0;
  border-radius: 0.375rem;
  text-align: center;
  opacity: 0;
  transition: opacity 0.2s ease-in-out, background-color 0.2s ease-in-out,
    box-shadow 0.2s ease-in-out;
}

.ProdDetails:hover {
  opacity: 1;
  background-color: #e2e8f0;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
}

.Contact {
  display: flex;
  align-items: center;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  gap: 2px;
  font-weight: 600;
  color: #6b7280;
  transition: color 0.2s ease-in-out;
}



.Contact:hover {
  color: #000000;
}

.ContactContent {
  position: absolute;
  display: none;
  z-index: 9999;
  height: 500px;
  width: 100%;
  left: 0;
  border-radius: 0.375rem;
  background-color: white;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  padding: 0.5rem;
  opacity: 0;
  transition: opacity 300ms;
}

.group:hover .ContactContent {
  display: block;
  opacity: 1;
}

.DropDownItems {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1rem;
}

.ImgColumn {
  grid-column: span 2 / span 2;
  flex: 1;
  display: flex;
  justify-content: center;
  height: 480px;
}

.ImgColumn img {
  position: absolute;
  height: 430px;
  top: 5%;
  bottom: 5%;
  transition-duration: 200ms;
}

.ImgColumn img:hover {
  transform: rotate(-12deg);
}

.BlueSide {
  flex: 1;
  display: flex;
  justify-content: center;
  border-top-left-radius: 1.5rem;
  border-bottom-left-radius: 1.5rem;
  height: 100%;
  background-color: rgba(10, 36, 114, 1);
}

.WhiteSide {
  flex: 1;
  justify-content: center;
  height: auto;
}

.ContactForm {
  font-size: 1.875rem;
  text-align: center;
  color: black;
  font-weight: bold;
  margin-bottom: 1.5rem;
}

.ContactItems {
  margin-bottom: 1rem;
  width: 100%;
}

.ContactLabel {
  display: block;
  color: black;
  font-size: 0.875rem;
  font-weight: 600;
  margin-bottom: 0.5rem;
}

.ContactInput {
  width: 100%;
  padding-left: 0.75rem;
  padding-right: 0.75rem;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  border-color: black;
  border-radius: 0.5rem;
  background-color: rgb(229, 231, 235);
}

.Contactbtn {
  display: flex;
  justify-content: center;
}

.Contbutton {
  background-color: rgba(10, 36, 114, 1);
  color: white;
  font-weight: 600;
  padding: 0.5rem 1rem;
  border-radius: 0.5rem;
}

.Contbutton:active {
  background-color: blue;
}

.ContInfo {
  display: flex;
  justify-content: center;
}

.Pos {
  position: relative;
}

.Pos h1 {
  font-size: 1.875rem;
  text-align: center;
  color: black;
  font-weight: bold;
  margin-bottom: 1.5rem;
}

.ContDet {
  font-weight: 600;
  position: relative;
  top: 5%;
  bottom: 5%;
}

.RightSide {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}

.right {
  position: relative;
  display: none;
}

@media (min-width: 640px) {
  .right {
    display: block;
  }
}

.Offre{
  display: flex;
  align-items: center;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  gap: 2px;
  font-weight: 600;
  color: #6b7280;
  transition: color 0.2s ease-in-out;
}

.Offre:hover {
  color: #000000;
}

.search-icon {
  font-size: 1.25rem;
  color: #718096;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 0.75rem;
  transition-duration: 300ms;
}

.search-icon:hover {
  color: #3182ce;
}

.search-icon.dark-mode {
  color: #cbd5e0;
}

.navbar-signin-btn {
  padding: 2px 8px;
  display: flex;
  align-items: center;
  gap: 2px;
  font-weight: 600;
  border-radius: 18px;
  cursor: pointer;
  transition: color 0.2s ease-in-out;
  color: #6b7280;
  border: 2px solid #6b7280;
}

.navbar-signin-btn:hover {
  color: #2a3343;
  border: 2px solid #2a3343;
}

.form-contact {
  height: 400px !important;
  max-height: 400px !important;
}

.form-contact textarea {
  height: 115px;
  max-height: 115px;
  overflow-y: scroll;
}

.form-contact textarea::-webkit-scrollbar {
  display: none;
}

.form-contact textarea {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.search-bar {
  padding-right: 1.75rem !important;
  cursor: pointer;
}


.logged-in-user-nav-wrapper {
  display: flex;
  flex-direction: row;
  gap: 20px;
}
.user-nav-greeting{
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 15px;
  font-weight: 600;
  color: #6b7280;

}

.my-offers , .my-commands{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  font-size: 15px;
  font-weight: 600;
  color: #6b7280;
  cursor: pointer;
  gap: 5px;
  padding: 3px  10px;
  border-radius: 5px;


}
.my-offers:hover , .my-commands:hover{
background-color: #e2e8f0;

}


.offers-icon ,.command-icon {

  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 19px;
  font-weight: 600;
  color: #6b7280;

}
.command-icon {

  font-size: 23px;


}





/*
.search-icon {
    cursor: pointer;
}

.group:hover .search-bar {
    display: block;
    background: rgb(229 231 235 / var(--tw-bg-opacity));
    
    position: absolute;
    
    top: 50%; 
    
    transform: translateY(-50%) ;
    
    right: 0px;


    transition: transform 1s ease-in-out;
} */
